searchNodes=[{"doc":"Documentation for GenTree. Tree data structure for BEAM in BEAM-way. Each node is a process that contains data and children_pids (just like using pointers).","ref":"GenTree.html","title":"GenTree","type":"module"},{"doc":"Traverses a binary tree using BFS.Examplesiex&gt; root = GenTree.build_tree([1,2,3,4,5,6]) iex&gt; GenTree.Traversal.bfs(root) [1, 2, 3, 4, 5, 6]","ref":"GenTree.html#bfs/1","title":"GenTree.bfs/1","type":"function"},{"doc":"Builds a Binary tree from a list of dataExamplesiex(85)&gt; root = GenTree.build_tree([1,2,3,4,5]) iex(86)&gt; rl = GenTree.get_left(root) iex(87)&gt; rlr = GenTree.get_right(rl) iex(87)&gt; GenTree.get_data(rlr) 5","ref":"GenTree.html#build_tree/1","title":"GenTree.build_tree/1","type":"function"},{"doc":"Traverses a binary tree using DFS. Traversal types:inorder:preorder:postorderExamplesiex&gt; root = GenTree.build_tree([1,2,3,4,5,6]) iex&gt; GenTree.Traversal.dfs(root, :inorder) [4, 2, 5, 1, 6, 3] iex&gt; GenTree.Traversal.dfs(root, :preorder) [1, 2, 4, 5, 3, 6] iex&gt; GenTree.Traversal.dfs(root, :postorder) [4, 5, 2, 6, 3, 1]","ref":"GenTree.html#dfs/2","title":"GenTree.dfs/2","type":"function"},{"doc":"Get the node data value %GenTree.Node{children: children_list, data: any(), left: pid()\\:nil, right: pid()\\nil}Examplesiex&gt; root = GenTree.new(5) iex&gt; root |&gt; GenTree.get_data() 5","ref":"GenTree.html#get_data/1","title":"GenTree.get_data/1","type":"function"},{"doc":"Get the left child of nodeExamplesiex&gt; root = GenTree.new(5) iex&gt; left_child = GenTree.get_left(root)","ref":"GenTree.html#get_left/1","title":"GenTree.get_left/1","type":"function"},{"doc":"Get the node details %GenTree.Node{children: children_list, data: any(), left: pid()\\:nil, right: pid()\\nil}Examplesiex&gt; root = GenTree.new(5) iex&gt; root |&gt; GenTree.get_node() %GenTree.Node{children: [], data: 5, left: nil, right: nil}","ref":"GenTree.html#get_node/1","title":"GenTree.get_node/1","type":"function"},{"doc":"Get the right child of nodeExamplesiex&gt; root = GenTree.new(5) iex&gt; right_child = GenTree.get_right(root)","ref":"GenTree.html#get_right/1","title":"GenTree.get_right/1","type":"function"},{"doc":"Inserts child to the node and returns the child pid. child_type can be :left, :right or omitted.Examplesiex(21)&gt; root = GenTree.new(&quot;a&quot;) iex(23)&gt; left_child = GenTree.insert_child(root, &quot;b&quot;, :left) iex(25)&gt; GenTree.get_node(left_child) %GenTree.Node{children: [], data: &quot;b&quot;, left: nil, right: nil}","ref":"GenTree.html#insert_child/3","title":"GenTree.insert_child/3","type":"function"},{"doc":"Return if data has a left child ## Examplesiex&gt; root = GenTree.new(5) iex&gt; GenTree.left?(root) false","ref":"GenTree.html#left?/1","title":"GenTree.left?/1","type":"function"},{"doc":"New node of GenTreeExamplesiex&gt; root = GenTree.new(5) iex&gt; is_pid(root) === true","ref":"GenTree.html#new/1","title":"GenTree.new/1","type":"function"},{"doc":"Return if data has a right child ## Examplesiex&gt; root = GenTree.new(5) iex&gt; GenTree.right?(root) false","ref":"GenTree.html#right?/1","title":"GenTree.right?/1","type":"function"},{"doc":"Updates the data value of the node","ref":"GenTree.html#update_data/2","title":"GenTree.update_data/2","type":"function"},{"doc":"Updates complete node value","ref":"GenTree.html#update_node/2","title":"GenTree.update_node/2","type":"function"}]